"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSlotsProps = void 0;
const vue_1 = require("vue");
const pro_utils_1 = require("@gx-design-vue/pro-utils");
function useSlotsProps(slotsName, slots, props) {
    const renderSlotsAndProps = (0, vue_1.ref)({});
    if (slotsName) {
        (0, vue_1.watch)(() => props, () => {
            renderSlotsAndProps.value = (0, pro_utils_1.getSlotsProps)(slotsName, slots, props);
        }, {
            deep: true,
            immediate: true
        });
    }
    return renderSlotsAndProps;
}
exports.useSlotsProps = useSlotsProps;
